package org.itqop.hubmcutils.mixins;

import net.minecraft.network.chat.Component;
import net.minecraft.server.players.PlayerList;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Redirect;


@Mixin(net.minecraft.server.network.ServerGamePacketListenerImpl.class)
public abstract class ServerGamePacketListenerImpl {
    /**
     * Перехват вызова `broadcastSystemMessage` в методе `onDisconnect`, чтобы предотвратить отправку сообщения о выходе игрока.
     */
    @Redirect(method = "onDisconnect", at = @At(value = "INVOKE", target = "Lnet/minecraft/server/players/PlayerList;broadcastSystemMessage(Lnet/minecraft/network/chat/Component;Z)V"))
    private void redirectBroadcastSystemMessageOnDisconnect(PlayerList playerList, Component message, boolean broadcastToOps) {
    }
}
